org.faceless.pdf2.viewer2.feature

## Class SignaturePanel

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.SidePanelFactory
    - - org.faceless.pdf2.viewer2.feature.SignaturePanel

-     public class SignaturePanel
      extends SidePanelFactory

  Create a `SidePanel` that will display a list of Digital Signatures in the PDF. Double clicking on a blank signature will select a `SignatureProvider` and then call `SignatureProvider.showSignDialog()`. Double clicking on a previously signed signature will select a `SignatureProvider` and then call `SignatureProvider.showVerifyDialog()`.
  The following initialization parameters can be specified to configure this feature.

  VerifyAll.Hide | `true` or `false`, to show or hide the "Verify All" button. The default is true
  HideUntilKnown | When a linearized PDF is being loaded, the API cannot know for sure whether signatures exist in the PDF until the load is complete. By default the SignaturePanel will be shown in a "loading" state until the load is complete, and then closed if no signature exists, but setting this value to not-null will hide the panel until the load is complete, and if a signature is found will add the panel at that point.

  The name of this feature is ShowHideSignatures

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturePanel()` Create a new SignaturePanel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SidePanel` | `createSidePanel()` Create and return a new `SidePanel`.
    `boolean` | `isSidePanelRequired(PDF pdf)` Determines whether this side panel is required for this PDF.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.SidePanelFactory

      `toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, initialize, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignaturePanel

          public SignaturePanel()

      Create a new SignaturePanel
      Since:
        2.11

  - ### Method Detail

    - #### isSidePanelRequired

          public boolean isSidePanelRequired(PDF pdf)

      Description copied from class: `SidePanelFactory`
      Determines whether this side panel is required for this PDF. By default this method returns true, but an example of where this wouldn't apply is for the Bookmarks panel on a PDF with no bookmarks.
      Overrides:
        `isSidePanelRequired` in class `SidePanelFactory`

    - #### createSidePanel

          public SidePanel createSidePanel()

      Description copied from class: `SidePanelFactory`
      Create and return a new `SidePanel`.
      Specified by:
        `createSidePanel` in class `SidePanelFactory`

Copyright © 2001-2015 Big Faceless Organization